//
// Real Time Linux Example of a analog Widget
//
//
//

#ifndef ANALOGS_H
#define ANALOGS_H


#include "das1600.h"

#include <stdio.h>
#include <fcntl.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <qtimer.h>
#include <qframe.h>
#include <qcombo.h>
#include <qevent.h>
#include <qpushbt.h>
#include <qlabel.h>
#include <qlcdnum.h>
#include <qbttngrp.h>
#include <qradiobt.h>
#include <qscrbar.h>


class AnalogTimer : public QTimer
{
   Q_OBJECT
public:
   AnalogTimer( QWidget *parent );
   enum { MAXSPEED = 1000 };

public slots:
   void        pause( bool );

private:
    int         interval;
};


class Analogs : public QFrame		// digital clock widget
{
    Q_OBJECT
public:
    Analogs( QWidget *parent=0, const char *name=0 );
    int ad1, ad2, ad3, ad4, da0, da1;

public slots:
    void	showSignal();



private slots:					// internal slots
    void        scrollBarValueChanged( int );
    void        radioButtonClicked( int );

protected:					// event handlers

private:					// internal data
    enum { TOPBORDER = 70, SIDEBORDER = 10 };
    AnalogTimer *timer;
    QPushButton  *pb;
    QLCDNumber *ana2;
    QLabel *analog1;
    QLabel *analog2;
    QLabel *analog3;
    QLabel *analog4;
    QLabel *msgLabel8;
    char inbyte[3];
    int		x;
};




#endif // ANALOGS_H

